summaryrefslogtreecommitdiff
path: root/tests/tests/quilt-useremail
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2017-02-05 13:17:04 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2017-02-05 13:17:05 +0000
commit07a8b1861c8dd294d0f30fb2fdb19228eca67aa9 (patch)
tree09547b166babe1733046d5ac4ab6b870c907cf6c /tests/tests/quilt-useremail
parentbf33c7e32c0f107b83bfdf7d4043f931d9865c7e (diff)
test suite: quilt-useremail: New test for user config copying
Test for #853085. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/tests/quilt-useremail')
-rwxr-xr-xtests/tests/quilt-useremail27
1 files changed, 27 insertions, 0 deletions
diff --git a/tests/tests/quilt-useremail b/tests/tests/quilt-useremail
new file mode 100755
index 0000000..f079395
--- /dev/null
+++ b/tests/tests/quilt-useremail
@@ -0,0 +1,27 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-tstunt-parsechangelog
+t-archive example 1.0-1
+t-worktree 1.0
+t-git-none
+
+cd $p
+
+git checkout quilt-tip-2
+
+t-dgit -wgf fetch
+
+oe=other.email@example.com
+on='Hannibal Barca'
+
+git config --local user.email "$oe"
+git config --local user.name "$on"
+
+t-dgit -wgf --quilt=smash quilt-fixup
+
+git show | fgrep "$oe"
+git show | fgrep "$on"
+
+t-ok